const { alias } = require('react-app-rewire-alias');

module.exports = function override(config) {
  alias({
    '@core': 'src/core',
    '@features': 'src/features',
    '@pages': 'src/pages',
    '@shared': 'src/components/shared',
    '@components': 'src/components',
    '@store': 'src/store',
    '@services': 'src/services',
    '@assets' : 'src/assets'
  })(config);

  return config;
};